<p><strong>Display Replacement</strong>: A repair offered to correct a damaged or cracked Apple watch display. Display replacements come with our industry leading one year warranty.</p>
<p><strong>Force Touch Sensor Replacement</strong>: A repair offered to correct a malfunctioning or damaged force touch sensor, which will correct issues with pressure sensing while using the display or replace a damaged or broken force touch sensor.</p>
<p><strong>Battery replacement</strong>: A repair offered to replace the internal battery on an Apple watch in instances where the life of the battery has declined, or the battery is swelling or no longer working.</p>
<p><strong>Gold Plating Service</strong>: A service offered to change the look of an apple watch by adding a layer of gold plating to compliment the look of your Apple watch, or to match your Apple watch color to your other devices. Available in both traditional yellow gold as well as rose gold.</p>